@import './../../../assets/styles/variables';

.react-datepicker__input-container {
  width: 100%;
}


.provided{
  padding: 25px 25px;
  background-color: #FAFAFA;
  display: flex;
  flex-direction: row;
  align-items: center;
  color: #7E7E7E;

  font-size: $default-font-size;
  font-weight: 600;
  line-height: 19px;
}


.rc-time-picker {
  display: block;
  //width: 100%;
  box-sizing: border-box;
}
.rc-time-picker * {
  box-sizing: border-box;
}
.rc-time-picker-input {
  width: 100px;
  position: relative;
  // display: inline-block;
  padding: 4px 7px;
  height: 38px;
  cursor: text;
  color: #455A64;

  font-size: $default-font-size;
  font-weight: 600;
  line-height: 18px;
  //margin-right: 15px;
  background-image: none;
  transition: border 0.2s cubic-bezier(0.645, 0.045, 0.355, 1), background 0.2s cubic-bezier(0.645, 0.045, 0.355, 1), box-shadow 0.2s cubic-bezier(0.645, 0.045, 0.355, 1);
  &:disabled {
    color: #8D8D8D;
  }
}
.rc-time-picker-panel {
  z-index: 1070;
  width: 115px;
  position: absolute;
  box-sizing: border-box;
}
.rc-time-picker-panel * {
  box-sizing: border-box;
}
.rc-time-picker-panel-inner {
  display: inline-block;
  position: relative;
  outline: none;
  list-style: none;
  font-size: $default-font-size-minus-3;
  text-align: left;
  background-color: #fff;
  border-radius: 3px;
  box-shadow: 0 1px 5px #ccc;
  background-clip: padding-box;
  border: 1px solid #ccc;
  line-height: 1.5;
}
.rc-time-picker-panel-input {
  margin: 0;
  padding: 0;
  width: 100%;
  cursor: auto;
  line-height: 1.5;
  outline: 0;
  border: 1px solid transparent;
}
.rc-time-picker-panel-input-wrap {
  box-sizing: border-box;
  position: relative;
  padding: 6px;
  border-bottom: 1px solid #e9e9e9;
}
.rc-time-picker-panel-input-invalid {
  border-color: red;
}
.rc-time-picker-panel-clear-btn {
  position: absolute;
  right: 6px;
  cursor: pointer;
  overflow: hidden;
  width: 20px;
  height: 20px;
  text-align: center;
  line-height: 20px;
  top: 6px;
  margin: 0;
}
.rc-time-picker-panel-clear-btn:after {
  content: "x";
  font-size: $default-font-size-minus-3;
  color: #aaa;
  display: inline-block;
  line-height: 1;
  width: 20px;
  transition: color 0.3s ease;
}
.rc-time-picker-panel-clear-btn:hover:after {
  color: #666;
}
.rc-time-picker-panel-select {
  float: left;
  font-size: $default-font-size-minus-3;
  border: 1px solid #e9e9e9;
  border-width: 0 1px;
  margin-left: -1px;
  box-sizing: border-box;
  width: 56px;
  overflow: hidden;
  position: relative;
}
.rc-time-picker-panel-select-active {
  overflow-y: auto;
}
.rc-time-picker-panel-select:first-child {
  border-left: 0;
  margin-left: 0;
}
.rc-time-picker-panel-select:last-child {
  border-right: 0;
}
.rc-time-picker-panel-select ul {
  list-style: none;
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  width: 100%;
  max-height: 144px;
}
.rc-time-picker-panel-select li {
  list-style: none;
  box-sizing: content-box;
  margin: 0;
  padding: 0 0 0 16px;
  width: 100%;
  height: 24px;
  line-height: 24px;
  text-align: left;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.rc-time-picker-panel-select li:hover {
  background: #edfaff;
}
li.rc-time-picker-panel-select-option-selected {
  background: #edfaff;
  color: #2db7f5;
}
li.rc-time-picker-panel-select-option-disabled {
  color: #bfbfbf;
}
li.rc-time-picker-panel-select-option-disabled:hover {
  background: transparent;
  cursor: not-allowed;
}

.rc-tooltip {
  opacity: 1;
  background-color: transparent;
  &-content {
    box-shadow: 0 1px 2px 0 rgba(0,0,0,0.2);
  }
  &-placement-bottomLeft &-arrow {
    top: 3px;
    margin-left: 10px;
    border-width: 0px;
    border-bottom-color: none;
    left: 9px;

    &:before, &:after {
      content: "";
      position: absolute;
      width: 0;
      height: 0;
      border-style: solid;
      border-color: transparent;
      border-top: 0;
    }

    /* Stroke */
    &:before {
      bottom: 2px;
      left: -9px;
      border-bottom-color: #777;
      border-width: 9px;
    }

    /* Fill */
    &:after {
      bottom: 1px;
      left: -9px;
      border-bottom-color: #fafafa;
      border-width: 9px;
    }
  }


  &-inner {
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.2);
    background-color: #FAFAFA;
    //border: none;
    padding: 15px 20px;
    //max-width: 451px;
    span {
      color: #1D1C1C;
      font-size: $default-font-size;
    }
  }
}
